keystone.conf file contains options from keystone-paste.ini file

Bug #1693188 reported by Michael Kraynov on 2017-05-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Medium
Sergii Rizvan
Nominated for Ocata by Sergii Rizvan
Nominated for Pike by Sergii Rizvan
Newton
Medium
Sergii Rizvan

Bug Description

Under the [trust] section in keystone.conf file we can see options from keystone-paste.ini file.
https://docs.openstack.org/mitaka/config-reference/identity/sample-configuration-files.html

Configuration file from 9.2 environment:

cat /etc/keystone/keystone.conf
.........
[trust]

#
# From keystone
#

# Delegation and impersonation features can be optionally disabled. (boolean
# value)
#enabled = true

# Enable redelegation feature. (boolean value)
#allow_redelegation = false

# Maximum depth of trust redelegation. (integer value)
#max_redelegation_count = 3

# Entrypoint for the trust backend driver in the keystone.trust namespace.
# (string value)
#driver = sql

[app:admin_version_service]
paste.app_factory=keystone.service:admin_version_app_factory

[pipeline:public_version_api]
pipeline=stats_monitoring url_normalize xml_body public_version_service

[filter:user_crud_extension]
paste.filter_factory=keystone.contrib.user_crud:CrudExtension.factory

.......

[app:public_version_service]
paste.app_factory=keystone.service:public_version_app_factory

We should remove those options.

Alexander Rubtsov (arubtsov) wrote :

sla2 for 9.0-updates

Changed in fuel:
milestone: 9.2-mu-3 → 9.2-mu-2
Sergii Rizvan (srizvan) on 2017-06-07
Changed in fuel:
assignee: nobody → Sergii Rizvan (srizvan)
Sergii Rizvan (srizvan) on 2017-06-13
Changed in fuel:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/472738
Committed: https://git.openstack.org/cgit/openstack/fuel-library/commit/?id=f8cb7857342421232a97869a46e8a82f6055b0f1
Submitter: Jenkins
Branch: stable/mitaka

commit f8cb7857342421232a97869a46e8a82f6055b0f1
Author: Sergii Rizvan <email address hidden>
Date: Fri Jun 9 18:38:19 2017 +0300

    Clean up keystone.conf file

    At the end of keystone.conf file there were some options from
    keystone-paste.ini file. These options don't affect anything
    that's why they were removed in order to clean up keystone.conf

    Change-Id: Ib388c37ac4f622cabc405a4d83ba71f2f35b7e83
    Closes-Bug: #1693188

tags: added: in-stable-mitaka
Sergii Rizvan (srizvan) on 2017-06-15
Changed in fuel:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/474528
Committed: https://git.openstack.org/cgit/openstack/fuel-library/commit/?id=d076b4c6a5ab660caef43ecd7157348ead1956bb
Submitter: Jenkins
Branch: stable/ocata

commit d076b4c6a5ab660caef43ecd7157348ead1956bb
Author: Sergii Rizvan <email address hidden>
Date: Fri Jun 9 18:38:19 2017 +0300

    Clean up keystone.conf file

    At the end of keystone.conf file there were some options from
    keystone-paste.ini file. These options don't affect anything
    that's why they were removed in order to clean up keystone.conf

    Change-Id: Ib388c37ac4f622cabc405a4d83ba71f2f35b7e83
    Closes-Bug: #1693188

tags: added: in-stable-ocata

Reviewed: https://review.openstack.org/474527
Committed: https://git.openstack.org/cgit/openstack/fuel-library/commit/?id=98154bff027073093b7142b22988cfc7d33cd05f
Submitter: Jenkins
Branch: stable/newton

commit 98154bff027073093b7142b22988cfc7d33cd05f
Author: Sergii Rizvan <email address hidden>
Date: Fri Jun 9 18:38:19 2017 +0300

    Clean up keystone.conf file

    At the end of keystone.conf file there were some options from
    keystone-paste.ini file. These options don't affect anything
    that's why they were removed in order to clean up keystone.conf

    Change-Id: Ib388c37ac4f622cabc405a4d83ba71f2f35b7e83
    Closes-Bug: #1693188

Reviewed: https://review.openstack.org/474529
Committed: https://git.openstack.org/cgit/openstack/fuel-library/commit/?id=245539ea9fa29e5c46e95947e77f64c62bb0daee
Submitter: Jenkins
Branch: master

commit 245539ea9fa29e5c46e95947e77f64c62bb0daee
Author: Sergii Rizvan <email address hidden>
Date: Fri Jun 9 18:38:19 2017 +0300

    Clean up keystone.conf file

    At the end of keystone.conf file there were some options from
    keystone-paste.ini file. These options don't affect anything
    that's why they were removed in order to clean up keystone.conf

    Change-Id: Ib388c37ac4f622cabc405a4d83ba71f2f35b7e83
    Closes-Bug: #1693188

Ilya Bumarskov (ibumarskov) wrote :

Affected only new deployment. In case of upgrade you can delete those parameters manually.

Verified on Fuel 9.2 MU 2 (MOS_UBUNTU_ID = 9.0-2017-06-16-104420):

root@node-1:~# tail -n 20 /etc/keystone/keystone.conf

[trust]

#
# From keystone
#

# Delegation and impersonation features can be optionally disabled. (boolean
# value)
#enabled = true

# Enable redelegation feature. (boolean value)
#allow_redelegation = false

# Maximum depth of trust redelegation. (integer value)
#max_redelegation_count = 3

# Entrypoint for the trust backend driver in the keystone.trust namespace.
# (string value)
#driver = sql
root@node-1:~#

Changed in fuel:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers